List Case Inputs
curl --request GET \
--url https://connect.penbox.io/v1/cases/{id}/inputs \
--header 'Authorization: Bearer <token>'import requests
url = "https://connect.penbox.io/v1/cases/{id}/inputs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.penbox.io/v1/cases/{id}/inputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"total_count": 123,
"total_pages": 123,
"page_size": 123,
"current_page": 123
},
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"case": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"source": "<string>",
"type": "<string>",
"context": null,
"mode": "suggest",
"status": "proposed",
"intelligence": {},
"summary": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"changes_count": 123,
"applied_count": 123
}
]
}Cases
List Case Inputs
The inputs of a case, newest first. The list drops changes, unmapped and content, and carries changes_count / applied_count instead.
GET
/
cases
/
{id}
/
inputs
List Case Inputs
The inputs of a case, newest first.
Authorizations
API token (starts with pnbx_). Create at https://app.penbox.io/workspace/settings/api. Include as: Authorization: Bearer {token}
Path Parameters
Case UUID
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
+created_at, -created_at Was this page helpful?